List group billing usage in a given period

OBTENER /groups/{groupId}/measurements

Enumere el uso de solicitudes, cálculos, sincronización y transferencia de datos en un período determinado para fines de facturación.

Parámetros de path

Parámetros de query

  • Inicio string

    Fecha y hora ISO 8601 de inicio del período de consulta. El valor predeterminado es 00:00:00 UTC del primer día del mes actual.

  • end string

    The ISO 8601 date and time of the end of the query period. Default is 23:59:59 UTC on the last day of the current month.

  • granularidad string

    Especifica la granularidad del período de query, ya sea P31D (31 días) o PT1H (1 hora). Es por defecto P31D.

    Los valores son P31D o PT1H.

Respuestas

  • 200 aplicación/json

    Las métricas fueron devueltas correctamente.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • Inicio string

      The RFC 3339 date and time of the start of the query period, which can be specified with the start query parameter.

    • end string

      La fecha y hora RFC 3339 del final del período de consulta, que se puede especificar con el parámetro de consulta end.

    • granularidad string

      The granularity, which can be specified with the granularity query parameter.

    • group_id string

      The Atlas Group ID.

    • mediciones arreglo[objeto]

      El arreglo de métricas.

      Ocultar atributos de medición Mostrar atributos de mediciones Objeto
      • Nombre string

        La métrica de uso representada por cada punto de datos. Consulta facturación.

        Los valores son request_count, compute_time, data_out o sync_time.

      • unidades string

        La unidad del value de cada punto de datos.

        Los valores son <empty string>, HOURS o GIGABYTES.

      • data_points arreglo[objeto]

        The array of data points for this measurement. A finer granularity results in more data points.

        Ocultar atributos de data_points Show data_points attributes Objeto
        • fecha y hora string

          The ISO 8601 date and time of the data point.

        • Valor Número

          The value at the time in the unit of the measurement.

  • 400 aplicación/json

    There is an error in the request.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • Error string

      Un mensaje que describe el error.

    • error_code string

      El tipo de error.

GET /groups/{groupId}/measurements
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/measurements' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Ejemplos de respuestas (200)
{
  "start": "string",
  "end": "string",
  "granularity": "string",
  "group_id": "string",
  "measurements": [
    {
      "name": "request_count",
      "units": "<empty string>",
      "data_points": [
        {
          "timestamp": "string",
          "value": 42.0
        }
      ]
    }
  ]
}
Ejemplos de respuestas (400)
{
  "error": "string",
  "error_code": "string"
}